maven报错

2015/08/04 15:55
阅读数 62
Unsupported IClasspathEntry kind=4

这个异常会导致项目无法使用eclipse4.2的maven功能,我升级了maven的版本还是不行

 

 

英文解释如下:

Please see https://bugs.eclipse.org/bugs/show_bug.cgi?id=374332#c14

The problem is caused by the fact that the STS (the Spring IDE/Eclipse) uses the m2e(clipse) plugin but that eclipse:eclipse has been probably been run on the project. When m2e encounters a "var" .classpath entry, it throws this error.

In order to fix this problem, you need to do 2 things:

  1. Make sure that the version of the m2e(clipse) plugin that you're running is at least 1.1.0. The update site is here: https://repository.sonatype.org/content/repositories/forge-sites/m2e/1.1.0/N/LATEST/

  2. Disable the maven nature for the project (via the right-click menu), run mvn eclipse:clean (while your project is open in STS/eclipse), and then re-enable the maven nature.

中文解释就是

问题是因为使用spring ide使用了m2eclipse 插件,但是这个插件的使用前提是不允许命令 mvn eclipse:eclipse在项目上执行过,如果执行过,就会抛出这个异常。

现阶段修复这个问题需要做两件事

  1、保证m2e插件的版本高于 1.1.0,如果没有到站点升级 :https://repository.sonatype.org/content/repositories/forge-sites/m2e/1.1.0/N/LATEST/

  2、去掉项目的maven特性,右键菜单就能去除,然后执行 mvn eclipse:clean,重新引入maven工程,不是java项目。

展开阅读全文
打赏
0
0 收藏
分享
加载中
更多评论
打赏
0 评论
0 收藏
0
分享
返回顶部
顶部